VESPA-CURL(1)

NAME
vespa-curl - Access Vespa directly using curl

SYNOPSIS
vespa curl [curl-options] path [flags]

DESCRIPTION
Access Vespa directly using curl.

Execute curl with the appropriate URL, certificate and private key for your application. Assumes MTLS authentication.

For a more high-level interface to query and feeding, see the 'query' and 'document' commands.

OPTIONS
-n, --dry-run[=false]
    Print the curl command that would be executed

-h, --help[=false]
    help for curl

-w, --wait=0
    Number of seconds to wait for service(s) to become ready. 0 to disable (default 0)

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa curl /ApplicationStatus
    $ vespa curl -- -X POST -H "Content-Type:application/json" --data-binary @src/test/resources/A-Head-Full-of-Dreams.json /document/v1/namespace/music/docid/1
    $ vespa curl -- -v --data-urlencode "yql=select * from music where album contains 'head'" /search/\?hits=5

SEE ALSO
vespa(1)